package com.liquidnet.client.admin.zhengzai.smile.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.liquidnet.client.admin.zhengzai.smile.service.ISmileShowService;
import com.liquidnet.service.kylin.mapper.KylinTicketStatusMapper;
import com.liquidnet.service.smile.entity.SmileShow;
import com.liquidnet.service.smile.mapper.SmileShowMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author liquidnet
 * @since 2022-03-15
 */
@Service
public class SmileShowServiceImpl extends ServiceImpl<SmileShowMapper,SmileShow> implements ISmileShowService {

    @Autowired
    KylinTicketStatusMapper kylinTicketStatusMapper;

    @Autowired
    SmileShowMapper smileShowMapper;

    @Override
    public List<SmileShow> showList(String name, String city) {
        //查询开启代理的演出列表

        //
        return null;
    }

    @Override
    public boolean create(List<SmileShow> showList) {
        if (smileShowMapper.insertAll(showList)>0){
            return true;
        }
        return false;
    }


}
